All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.transforms
Class StaticOrderedCollectionInterfaceToStringTransform

    com.sas.util.transforms.StaticOrderedCollectionInterfaceToStringTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class StaticOrderedCollectionInterfaceToStringTransform

A transform for converting a `StaticOrderedCollectionInterface` to a `String` For example, a given a collection that contains the values

        "com.sas"
        null
        "webAF"
        1

then invoking this transorm on the collection `String s t.transform(collection)` will yield the string `"com.sas",null,"webAF",a`.

See Also:
  `StringToOrderedCollectionInterfaceTransform`, Serialized Form

Field Summary
`static StaticOrderedCollectionInterfaceToStringTransform` | `defaultInstance` An object which can perform a default transform from `OrderedCollectionInterface` to `String`.

Constructor Summary
`StaticOrderedCollectionInterfaceToStringTransform()` Default constructor.
`StaticOrderedCollectionInterfaceToStringTransform(char delimiter, boolean alwaysQuote)` Value constructor.

Method Summary
`java.lang.Class` | `getInputClass()`
`java.lang.Class` | `getOutputClass()`

Methods inherited from class com.sas.util.transforms.StaticCollectionInterfaceToStringTransform
`defaultDelimiterChar, transform`

Field Detail

### defaultInstance

    public static final StaticOrderedCollectionInterfaceToStringTransform defaultInstance

  An object which can perform a default transform from `OrderedCollectionInterface` to `String`.

Constructor Detail

### StaticOrderedCollectionInterfaceToStringTransform

    public StaticOrderedCollectionInterfaceToStringTransform()

  Default constructor. Create a transform which converts a `OrderedCollectionInterface` into a `String`, using the default delimiter `','` and always quoting strings

### StaticOrderedCollectionInterfaceToStringTransform

    public StaticOrderedCollectionInterfaceToStringTransform(char delimiter,
                                                             boolean alwaysQuote)

  Value constructor. Create a transform which converts a `OrderedCollectionInterface` into a `String`, using the specific delimiter and quoting.

  Parameters:
    `delimiter` - character to separate the string items in the result
    `alwaysQuote` - if `true`, each string is quoted, else only special strings are quoted.

Method Detail

### getInputClass

    public java.lang.Class getInputClass()

### getOutputClass

    public java.lang.Class getOutputClass()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.